﻿@model Bloggie.Web.Models.ViewModels.AddBlogPostRequest

@{
}

<div class="bg-secondary bg-opacity-10 py-2">

    <div class="container">
        <h1>Add new BlogPosts - Admin functionality</h1>
    </div>
</div>
<div class="container py-5">

    <form method="post">

        <div class="mb-3">
            <label class="form-label">Heading</label>
            <input type="text" class="form-control" id="heading" asp-for="Heading" />
        </div>
        <div class="mb-3">
            <label class="form-label">Page Title</label>
            <input type="text" class="form-control" id="title" asp-for="Title" />
        </div>

        <div class="mb-3">
            <label class="form-label">Content</label>
            <textarea class="form-control" id="content" asp-for="Content"></textarea>
        </div>
        <div class="mb-3">
            <label class="form-label">Short Description</label>
            <textarea class="form-control" id="shortDescription" asp-for="ShortDescription"></textarea>
        </div>
        <div class="mb-3">
            <label class="form-label">Featured Image Upload</label>
            <input type="file" id="featuredImageUpload" class="form-control" />
            <img src="" id="featuredImageDisplay" style="display:none;width:300px;"
        </img>

        </div>

        <div class="mb-3">
            <label class="form-label">Featured Image URL</label>
            <input type="text" class="form-control" id="featuredImageUrl" asp-for="FeaturedImageUrl" />
        </div>

        <div class="mb-3">
            <label class="form-label"> URL Handle</label>
            <input type="text" class="form-control" id="urlHandle" asp-for="UrlHandle" />
        </div>
        <div class="mb-3">
            <label class="form-label">Published Date</label>
            <input type="date" class="form-control" id="publishedDate" asp-for="PublicshedDate" />
        </div>

        <div class="mb-3">
            <label class="form-label">Author</label>
            <input type="text" class="form-control" id="author" asp-for="Author" />
        </div>

        <div class="form-check mb-3">
            <input class="form-check-input" type="checkbox" id="visible">
            <label class="form-check-label" asp-for="Visible">
                Is Visible?
            </label>
        </div>
        <div class="mb-3">
            <label class="form-label">Tags</label>
            <select class="form-select"
                    asp-items="@Model.Tags"
                    asp-for="SelectedTags"></select>
        </div>

        <div class="mb-3">
            <button type="submit" class="btn btn-dark">Save</button>
        </div>



    </form>

</div>

@section Scripts {
    <script>
        var editor = new FroalaEditor('#content',{
            imageUploadURL:'/api/images'
        })

        const featuredUploadElement = document.getElementById('featuredImageUpload');
        const featuredImageUrlElement=document.getElementById('featuredImageUrl');
        const featuredImageDisplayElement = document.getElementById('featuredImageDisplay');

        async function uploadFeaturedImage(e) {
            console.log(e.target.files[0]);

            let data = new FormData();
            data.append('file', e.target.files[0]);

            await fetch('/api/images', {
                method: 'POST',
                headers: { 'Accept': '*/*', },
                body: data
            }).then(response => response.json()).then(result => {
                featuredImageUrlElement.value=result.link;
                featuredImageDisplayElement.src=result.link;
                featuredImageDisplayElement.style.display='block';
            });

        }


        featuredUploadElement.addEventListener('change', uploadFeaturedImage);
    </script>
}

